<script lang="ts">
import Vue from 'vue';
import { CtfButton, CtfEntry } from '../../models/content-types.dto';

interface Data {
  links: CtfEntry<CtfButton>[];
}

export default Vue.extend({
  name: 'SolutionsPlatformTabLinks',
  props: {
    data: {
      type: Object as () => Data,
      required: true,
    },
  },
  data() {
    return {
      currentPathname: '',
    };
  },
  mounted() {
    this.currentPathname = window.location.pathname.replace(/\/$/, '');
  },
  methods: {
    currentPath(link) {
      return this.currentPathname.includes(link.replace(/\/$/, ''))
        ? 'active'
        : '';
    },
  },
});
</script>

<template>
  <section ref="navbar" class="container">
    <nav class="tabs-container">
      <ul class="tabs__list">
        <li v-for="item in data.links" :key="item.fields.text">
          <a
            :class="currentPath(item.fields.externalUrl)"
            :aria-current="
              currentPath(item.fields.externalUrl) === 'active'
                ? 'page'
                : undefined
            "
            :href="item.fields.externalUrl"
            :data-ga-name="item.fields.dataGaName"
            :data-ga-location="item.fields.dataGaLocation"
            >{{ item.fields.text }}</a
          >
        </li>
      </ul>
    </nav>
  </section>
</template>

<style lang="scss" scoped>
.container {
  background: $color-surface-700;
  width: 100%;
  max-height: 100px;

  .column {
    &__centered {
      display: flex;
      justify-content: center;
    }

    @media (max-width: $breakpoint-md) {
      min-width: 100%;
      overflow-x: scroll;
    }
  }
}

.tabs-container {
  display: flex;
  width: 100%;
  overflow-x: scroll;
}

.tabs__list {
  display: inline-flex;
  margin-left: 80px;
  margin-right: 80px;
  justify-content: space-between;
  li {
    height: 100%;
    transition: all 0.3s ease-in;
    padding: $spacing-16 $spacing-8;
    margin-right: $spacing-24;
    white-space: nowrap;
    overflow: hidden;

    a {
      color: #fff;
      font-size: 14px;

      &:hover {
        border-bottom: 1px solid #7759c2;
      }

      &.active,
      &:hover {
        text-decoration: none;
      }

      &.active {
        font-weight: 600;
        color: $color-accent-400;
      }
    }
  }

  @media (max-width: 1025px) {
    margin-left: 0;
    margin-right: 0;
    li {
      padding-left: 16px;
      margin-right: 8px;
    }
  }
}
</style>
